package com.zd.bottle.service;

import com.zd.bottle.domain.RfidTag;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * RFID标签管理 服务类
 * </p>
 *
 * @author hanson
 * @since 2022-09-08
 */
public interface RfidTagService extends IService<RfidTag> {

    /**
     * 新增标签
     * @param rfidTag 实体
     * @return boolean
     */
    RfidTag add(RfidTag rfidTag);

    /***
     * 根据标签码查询
     * @param authCode
     * @return
     */
    RfidTag getRfidByTagCode(String authCode);

    /***
     * 修改标签
     * @param rfidTag
     * @return
     */
    int updateQpRfidTag(RfidTag rfidTag);

    /***
     * 列表查询
     * @param rfidTag
     * @return
     */
    List<RfidTag> list(RfidTag rfidTag);
}
